Bug 538708 - SELinux is preventing /usr/sbin/arpwatch "create" access.
Summary: SELinux is preventing /usr/sbin/arpwatch "create" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:ab541c320b2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 06:31 UTC by Jeff Johnson
Modified: 2013-01-13 18:13 UTC (History)
5 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:34 UTC


Attachments (Terms of Use)

Description Jeff Johnson 2009-11-19 06:31:17 UTC
Summary:

SELinux is preventing /usr/sbin/arpwatch "create" access.

Detailed Description:

[arpwatch has a permissive type (arpwatch_t). This access was not denied.]

SELinux denied access requested by arpwatch. It is not expected that this access
is required by arpwatch and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:arpwatch_t:s0
Target Context                system_u:system_r:arpwatch_t:s0
Target Objects                None [ socket ]
Source                        arpwatch
Source Path                   /usr/sbin/arpwatch
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           arpwatch-2.1a15-12.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1
                              SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Thu 19 Nov 2009 01:29:03 AM EST
Last Seen                     Thu 19 Nov 2009 01:29:03 AM EST
Local ID                      fee96c0e-256f-4fac-91cf-bbaeb09786d5
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258612143.132:8): avc:  denied  { create } for  pid=1848 comm="arpwatch" scontext=system_u:system_r:arpwatch_t:s0 tcontext=system_u:system_r:arpwatch_t:s0 tclass=socket

node=(removed) type=SYSCALL msg=audit(1258612143.132:8): arch=c000003e syscall=41 success=yes exit=128 a0=1f a1=3 a2=1 a3=8 items=0 ppid=1847 pid=1848 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="arpwatch" exe="/usr/sbin/arpwatch" subj=system_u:system_r:arpwatch_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,arpwatch,arpwatch_t,arpwatch_t,socket,create
audit2allow suggests:

#============= arpwatch_t ==============
allow arpwatch_t self:socket create;

Comment 1 Daniel Walsh 2009-11-19 14:53:02 UTC
Eric, Should I be concerned when there is a new type of socket access like this.  IE Doesn't this mean we need more specific controls on this generic socket.  IE Like Packet SOcket, tcp socket ...


You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:37:08 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:20:04 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:31:40 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.